:root {
    --color: white;
    --title_color: white;
    --bg_color: #4B4F54;
    --menu_bg_color: #6A6F76;
    --link_color: #ABD3F4;
    --menu_color: #D9D7D7;
}

html {
    height: 100%;
}
body {
    text-align: center;
    display: table;
    background: var(--bg_color);
    margin: auto;
    width: 100%; 
    color: var(--color);
    font-family: Verdana, sans-serif;
    font-size: 90%;
    line-height: 140%;
    min-height: 100%;
}
p {
    margin: 1em 15em;
}
img {
    max-width: 25em;
    margin: 0.5em;
    border-radius: 2px;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
img:hover {
    max-width: 50em;
}
a {
    color: var(--link_color); 
    text-decoration: none;
}
table {
    width: 100%;
    table-layout: fixed;
    padding-right: 2.5em;
}
ul {
    text-align: left;
    line-height: 2.7em;
}
ul ul {
    line-height: 1.7em;
}
#edit_button {
    position: fixed;
    right: 10px;
    top: 10px;
    color: var(--menu_bg_color);
    border: 1px solid var(--menu_bg_color);
    background-color: var(--bg_color);
}     
#TOC {
    visibility: hidden;
    height: 0;
    border: 1px solid gray;
    background-color: var(--menu_bg_color);
    font-size: 90%;        
    width: max-content;
    padding-right: 1em;
}
#mainNav {
    display: table-cell;
    padding-right: 4em; 
}
#mainNavContent {
    height: 100%;
    font-size: 90%;
    background-color: var(--menu_bg_color);
    padding-right: 2em;
    padding-left: 2em;
}
#mainNav ul {
    padding-left: 0em;
    list-style: none;
    line-height: 1.5em;
}
#mainNav li {
    padding-bottom: 1px;
}
#mainNav li a {
    display: block;
    width: 100%;
    color: var(--menu_color);        
    margin-top: 4px;
    margin-bottom: 1px;
    border-bottom: 1px solid #979797;

}
#mainNav li li a {
    display: inline;
    color: var(--link_color); 
    margin-top: none;
    margin-left: 0.7em;
    border-bottom: none;
}
pre, code {
    border: 1px dotted gray;
    background-color: #ececec;
    color: #111111;
    font-family: monospace;
}
pre {
    margin-right: 4em;
    padding: 1em
}
code {
    padding: 0.1em;
}
pre code {
    border: 0;
    background-color: #00000000;
    padding: 0;
}
h1 a, h2 a, h3 a, h4 a, h5 a {
    text-decoration: none;
    color: var(--title_color); 
}
h1, h2, h3, h4, h5 {
    font-size: 130%;
    font-weight: normal;
    font-family: Georgia, 'Times New Roman', Times, serif;
    border-bottom: 1px solid #979797;
    padding: 0.5em 0.5em 0.5em 0.5em;
    margin: 0.4em 1em;
}
h2 {
    font-size: 120%;
    margin: 0 4em;
}

h3 {
    font-size: 95%;
    margin: 0 6em;
}

h4 {
    font-size: 90%;
    font-style: italic;
}

h5 {
    font-size: 90%;
    font-style: italic;
}

h1.title {
    font-size: 200%;
    font-weight: normal;
    padding-top: 1em;
    padding-bottom: 0.2em;
    border: none;
    margin: 0em;
}

p.author {
    padding-bottom: 0.2em;
    margin-top: 0;
    color: #678686 ;
}

dt code {
    font-weight: bold;
}
dd p {
    margin-top: 0;
}

#footer {
    padding-top: 1em;
    font-size: 70%;
    color: gray;
    text-align: center;
    }